Subject: bug#8427: [SECURITY] sql.el -- comint process passwords are leaked to ps(1) listing

From: Michael Albinus <[email-masked]>
Date: Tue, 19 Oct 2021 14:05:57 +0200

Eli Zaretskii <[email-masked]> writes:

>> I've pushed to master for now. I'll test this week and decide then whether I push to emacs-28.
>
> If you decide to backport to emacs-28, please cherry-pick from master,
> instead of making a separate independent commit, because cherry-picks
> are automatically skipped when emacs-28 branch is merged to master
> (which happens almost daily these days).

Except the etc/NEWS change. This file differs heavily between emacs-28
and master branches. Furthermore, I have fixed some oddities in that
file wrt this change.

> Thanks.

Best regards, Michael.